varying vec4 Position;
varying vec3 Normal;
varying vec2 TexCoords;

void main()
{
	// Vertex position in Screen space.
	gl_Position = ftransform();

	// Vertex position in View space.
	Position = gl_ModelViewMatrix * gl_Vertex;

	// Vertex normal in View space.
	Normal = gl_NormalMatrix * gl_Normal;

	TexCoords = gl_MultiTexCoord0.xy;
}
