void main() {
	float diffuse, specular;
	
	if (gl_TexCoord[0].x< 0.1)
		gl_FragColor = vec4(0, 0, 0, 1);
	else {
		// Compute final color with fixed diffuse and specular materials.
		if (gl_TexCoord[0].y< 0.2)
			diffuse = 0.3;
		else
			diffuse = 1.0;
		
		if (gl_TexCoord[0].z<0.5)
			specular = 0.0;
		else
			specular = 1.0;
			
		gl_FragColor = vec4(1, 0, 0, 1)*diffuse + vec4(1, 1, 1, 1)*specular;
	}
}